"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const privilegeService = require("../../privilege/service");
const hal = require("../formats/hal");
const userService = require("../service");
// import * as groupService from '../../group/service';
class UserEditController extends controller_1.default {
    async get(ctx) {
        const user = await userService.findById(+ctx.params.id);
        await privilegeService.hasPrivilege(ctx, 'admin');
        ctx.response.body = hal.edit(user);
    }
    async post(ctx) {
        const userBody = ctx.request.body;
        const userOld = await userService.findById(+ctx.params.id);
        await privilegeService.hasPrivilege(ctx, 'admin');
        delete userBody['csrf-token'];
        const userUpdated = Object.assign({}, userOld, {
            ...userBody,
            active: userBody.active === 'true' ? true : false,
        });
        const user = await userService.save(userUpdated);
        ctx.redirect(303, `/user/${user.id}`);
    }
}
exports.default = new UserEditController();
//# sourceMappingURL=edit.js.map